KDE 4.2 PyKDE API Reference

- KDE's Python API

# UiLoader Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

UiLoader plasma/uiloader.h <Plasma/UiLoader>

Dynamically create plasma Widgets and Layouts.

Author:
  Richard J. Moore, <rich@kde.org>

## Methods

| __init__ (self, QObject parent=0)
QStringList | availableLayouts (self)
QStringList | availableWidgets (self)
QGraphicsLayout | createLayout (self, QString className, QGraphicsLayoutItem parent)
QGraphicsWidget | createWidget (self, QString className, QGraphicsWidget parent=0)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

QStringList availableLayouts | ( |  | self ) |

QStringList availableWidgets | ( |  | self ) |

QGraphicsLayout createLayout | ( | self, |
|  | QString | className,
|  | QGraphicsLayoutItem | parent
| ) |  |  |

QGraphicsWidget createWidget | ( | self, |
|  | QString | className,
|  | QGraphicsWidget | parent=0
| ) |  |  |